<template>
  <client-only>
    <div>
      <button v-if="type === 'button'" class="btn">
        <slot />
      </button>

      <nuxt-link
        v-if="type === 'href' && target === '_parent'"
        class="btn"
        :target="target"
        :to="link"
      >
        {{ text }}
      </nuxt-link>

      <a
        v-if="type === 'href' && target === '_blank'"
        class="btn"
        :target="target"
        :to="link"
      >
        {{ text }}
      </a>
    </div>
  </client-only>
</template>

<script>
export default {
  props: {
    icon: {
      type: Boolean,
      default: false,
    },
    iconPosition: {
      type: String,
      default: 'left', // left | right
    },
    target: {
      type: String,
      default: '_parent', // _parent | _blank
    },
    type: {
      type: String,
      default: 'button', // button | href
    },
    link: {
      type: String,
      default: '/',
    },
    text: {
      type: String,
      default: 'Text',
    },
  },
}
</script>
